Count imported files (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /extraction/case/check-imported-files

Desktop plumbing: returns how many case files were uploaded with the caller's extraction code and their total size in bytes.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • totalFilesImported number Required

        Total number of files imported

      • totalSizeImported number Required

        Total size of files imported

    • statusCode number Required
    • timestamp string(date-time) Required
GET /extraction/case/check-imported-files
curl \
 --request GET 'http://api.example.com/extraction/case/check-imported-files' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "totalFilesImported": 100,
    "totalSizeImported": 1000000
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}